| Home | Libraries | People | FAQ | More

# Endpoint Class Reference

List of all members.

## Detailed Description

Endpoint concept.

Defines the interface that must be implemented by an object passed as a parameter to:

- boost::asio::stream_socket::bind
- boost::asio::stream_socket::connect
- boost::asio::stream_socket::get_local_endpoint
- boost::asio::stream_socket::get_remote_endpoint
- boost::asio::datagram_socket::bind
- boost::asio::datagram_socket::connect
- boost::asio::datagram_socket::get_local_endpoint
- boost::asio::datagram_socket::get_remote_endpoint
- boost::asio::socket_acceptor::bind
- boost::asio::socket_acceptor::get_local_endpoint
- boost::asio::socket_acceptor::accept_address

Implemented By:
  boost::asio::ipv4::tcp::endpoint
  boost::asio::ipv4::udp::endpoint

## Public Types

typedef implementation_defined | protocol_type
| The protocol type associated with the endpoint.
typedef implementation_defined | data_type
| The type of the endpoint structure. This type is dependent on the underlying implementation of the socket layer.
typedef implementation_defined | size_type
| The type for the size of the endpoint structure. This type is dependent on the underlying implementation of the socket layer.

## Public Member Functions

implementation_defined | protocol () const
| The protocol object associated with the endpoint. The returned object must implement the Protocol concept.
data_type * | data ()
| Get the underlying endpoint in the implementation-defined type. The returned object may be modified by the caller.
const data_type * | data () const
| Get the underlying endpoint in the implementation-defined type.
size_type | size () const
| Get the underlying size of the endpoint in the implementation-defined type.
void | size (size_type s)
| Set the underlying size of the endpoint in the implementation-defined type.

## Member Typedef Documentation

typedef implementation_defined Endpoint::protocol_type

The protocol type associated with the endpoint.

typedef implementation_defined Endpoint::data_type

The type of the endpoint structure. This type is dependent on the underlying implementation of the socket layer.

typedef implementation_defined Endpoint::size_type

The type for the size of the endpoint structure. This type is dependent on the underlying implementation of the socket layer.

## Member Function Documentation

implementation_defined Endpoint::protocol | ( |  | ) | const

The protocol object associated with the endpoint. The returned object must implement the Protocol concept.

data_type* Endpoint::data | ( |  | ) |

Get the underlying endpoint in the implementation-defined type. The returned object may be modified by the caller.

const data_type* Endpoint::data | ( |  | ) | const

Get the underlying endpoint in the implementation-defined type.

size_type Endpoint::size | ( |  | ) | const

Get the underlying size of the endpoint in the implementation-defined type.

void Endpoint::size | ( | size_type | s | ) |

Set the underlying size of the endpoint in the implementation-defined type.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff